Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002563 [JEDI VCL] 04 Feature Request feature N/A 2005-01-27 13:20 2005-02-04 02:00
Reporter carlosw View Status public  
Assigned To jfudickar
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002563: Change distance between LabelControl and FocusedControl in DynControlEngine
Description Could there be an option to change the default distance between an label and it's control. When the label is on top the default distance is 1px. this doesn't look good


The Height of the ButtonPanel is currently calculated by ButtonControl.Height + 6. I would like to change this also. Maybe an global variable for these?
Additional Information This could be implemented with Global Variables:

in JvDynControlEngine.pas
var
  DistanceBetweenLabelAndControlHorz = 4;
  DistanceBetweenLabelAndControlVert = 4;

...

function TJvDynControlEngine.CreateLabelControlPanel(AOwner: TComponent;
  AParentControl: TWinControl; const AControlName, ACaption: string; AFocusControl: TWinControl;
  ALabelOnTop: Boolean = True; ALabelDefaultWidth: Integer = 0): TWinControl;
...
...
if ALabelOnTop then
begin
  AFocusControl.Top := LabelControl.Height + DistanceBetweenLabelAndControlVert;
  ...
  ...
end
else
begin
  if ALabelDefaultWidth > 0 then
    LabelControl.Width := ALabelDefaultWidth;
  AFocusControl.Left := LabelControl.Width + DistanceBetweenLabelAndControlHorz;
  ...

Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0006309)
jfudickar (developer)
2005-01-28 16:02

Changed in cvs, Please give it a try.

The variables are now part of the DynControlEngine Class.

You can use it like this (or define an own class and overwrite the creator)

  DefaultDynControlengine.DistanceBetweenLabelAndControlVert := 18;
  DefaultDynControlengine.DistanceBetweenLabelAndControlHorz := 18;
(0006322)
carlosw (reporter)
2005-01-31 00:55

thanx this works.
(0006385)
obones (administrator)
2005-02-04 02:00

As indicated by user, this is resolved

- Issue History
Date Modified Username Field Change
2005-01-27 13:20 carlosw New Issue
2005-01-28 13:44 jfudickar Status new => assigned
2005-01-28 13:44 jfudickar Assigned To => jfudickar
2005-01-28 16:02 jfudickar Note Added: 0006309
2005-01-28 16:02 jfudickar Status assigned => feedback
2005-01-28 16:03 jfudickar Severity minor => feature
2005-01-31 00:55 carlosw Note Added: 0006322
2005-02-04 02:00 obones Status feedback => resolved
2005-02-04 02:00 obones Fixed in Version => 3.00
2005-02-04 02:00 obones Resolution open => fixed
2005-02-04 02:00 obones Note Added: 0006385


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker